# UI Action Methods

void performNamedAction( String actionName)

void performFieldLevelAction(String sectionName)

void performElementChecks( String sectionName)

void performPageChecks(String productElement)

List extractLinks(String url, String productElement)

List extractLinks(String productElement)

Map checkBrokenLink(String url)

void populateGroup( String groupName)

void populateGroup( String groupName,boolean recursive)

void populateField( String elementName)

void populateField( String elementName, Object objectValue)

boolean waitForInvisibilityOfElement(String htmlElementName)

List> getTableData(String UIElement)

void refreshPage(String url)

void alertAction(String htmlElement, String data)

void populateAlert(String productElement)

int getElementSize(String htmlElementName)

boolean assertGroup(String groupName,String elementType)

boolean assertGroup(String groupName,String elementType,boolean recursive)

boolean assertField( String elementName,String elementType)

boolean assertField( String elementName,String elementType,Object objectValue)

boolean assertElement(String htmlElementName, String attType,String targetValue)

void stateCheck(String htmlElementName, String attType,String targetValue)

boolean contains(String htmlElementName, String attType,String targetValue)

boolean containsElement(String htmlElementName)

boolean containsText(String findText)

Map extractGroup( String groupName,String elementType)

Map extractGroup( String groupName,String elementType,boolean recursive)

String getErrorMsg(String elementName)

String getText(String htmlElementName)

String getAttribute(String htmlElementName,String attName)

List getAttributesAsList(String htmlElementName)

void clearField(String elementName)

boolean mouseOver( String elementName)

boolean mouseOverAndClick( String elementName)

boolean mouseOverIf( String elementName)

boolean mouseOverAndClickIf( String elementName)

void switchWindow(Integer windowNo)

void switchWindow(String windowName)

void switchToFrame(String nameOrId)

void switchToDefaultFrame()

void closeWindow(Object window)

boolean clickIf( String elementName)

boolean click( String elementName)

void takeScreenShot(String labelName)

void checkW3(String url)

void checkW3()

void checkAccessibility()

void checkAccessibility(String url)

void checkAccessibility(String url,String uAgent)

void checkAccessibility(String url, boolean uAgent)

Object getUserInput(String ...attName)


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.qatts.com/v-3.0/ui-action-methods.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
